=== debian/changelog ===
ros-melodic-hector-map-tools (0.4.1-1bionic) bionic; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 14 May 2020 22:00:00 -0000

ros-melodic-hector-map-tools (0.3.6-1bionic) bionic; urgency=high

  * hector_map_tools: Use the FindEigen3.cmake module provided by Eigen
    This patch applies the recommendation from http://wiki.ros.org/jade/Migration and removes the
    dependency from package cmake_modules (unless your installation of Eigen3 does not provide a
    cmake config).
    Same as 1251d9dc20854f48da116eed25780c103a5bd003, but package hector_map_tools was not updated
    back then.
  * Contributors: Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Wed, 30 Oct 2019 23:00:00 -0000

ros-melodic-hector-map-tools (0.3.5-1bionic) bionic; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 23 Jun 2016 22:00:00 -0000

ros-melodic-hector-map-tools (0.3.4-1bionic) bionic; urgency=high

  * -Fix severe bug when not using square size maps (would results in completely wrong obstacle distances and coordinates)
  * Contributors: Stefan Kohlbrecher

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 06 Nov 2015 23:00:00 -0000

ros-melodic-hector-map-tools (0.3.3-1bionic) bionic; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sat, 14 Jun 2014 22:00:00 -0000

ros-melodic-hector-map-tools (0.3.2-1bionic) bionic; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sat, 29 Mar 2014 23:00:00 -0000

ros-melodic-hector-map-tools (0.3.1-1bionic) bionic; urgency=high

  * added changelogs

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Tue, 08 Oct 2013 22:00:00 -0000

ros-melodic-hector-map-tools (0.3.0-1bionic) bionic; urgency=high

  * catkinized hector_slam

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Wed, 07 Aug 2013 22:00:00 -0000
