=== debian/control ===
Source: ros-melodic-hector-map-tools
Section: misc
Priority: optional
Maintainer: Johannes Meyer <meyer@fsr.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-melodic-catkin, ros-melodic-nav-msgs
Homepage: http://ros.org/wiki/hector_map_tools
Standards-Version: 3.9.2

Package: ros-melodic-hector-map-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-melodic-nav-msgs
Description: hector_map_tools contains some functions related to accessing information from OccupancyGridMap maps.
 Currently consists of a single header.
